--- /dev/null
+# ChangeLog for app-misc/tpconfig
+# Copyright 2002 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/tpconfig/ChangeLog,v 1.1 2002/10/23 19:30:24 lostlogic Exp $
+
+*tpconfig-3.1.3 (23 Oct 2002)
+
+ 23 Oct 2002; Brandon Low <lostlogic@gentoo.org> tpconfig-3.1.3.ebuild:
+
+ New ebuild thanks to ndecker@gmx.de, closes bug 4852.
--- /dev/null
+MD5 50acfa33b3be03aac9d7131edb07373f tpconfig-3.1.3.tar.gz 106789
--- /dev/null
+#!/sbin/runscript
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+
+depend() {
+ before xdm
+}
+
+start() {
+ ebegin "Loading tpconfig options..."
+ /usr/bin/tpconfig ${TPOPTIONS} > /dev/null 2> /tmp/tpconfig.start
+ if [ -z "`cat /tmp/tpconfig.start 2> /dev/null`" ]; then
+ eend 0
+ else
+ eend 1
+ fi
+}
+
+stop() {
+ ebegin "Stoping tpconfig (this does nothing)..."
+ eend 0
+}
--- /dev/null
+#!/bin/sh
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+
+TPOTIONS="--tapmode=0"
--- /dev/null
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/tpconfig/tpconfig-3.1.3.ebuild,v 1.1 2002/10/23 19:30:24 lostlogic Exp $
+
+IUSE=""
+
+DESCRIPTION="Touchpad config for ALPS and Synaptics TPs. Controls tap/click behaviour"
+HOMEPAGE="http://www.compass.com/synaptics/"
+LICENSE="GPL"
+DEPEND="virtual/glibc"
+SRC_URI="http://www.compass.com/${PN}/${P}.tar.gz"
+S=${WORKDIR}/${P}
+SLOT="0"
+KEYWORDS="~x86"
+
+src_compile() {
+ econf || die "Failed econf"
+ emake || die "Failed emake"
+}
+
+src_install () {
+ dobin tpconfig
+ dodoc README AUTHORS NEWS INSTALL COPYING
+ exeinto /etc/init.d ; doexe ${FILESDIR}/tpconfig
+ insinto /etc/conf.d ; newins ${FILESDIR}/tpconfig.conf tpconfig
+}
+